Bug 1425206 - Retirement of a Vm or Instance should not delete it from the database
Summary: Retirement of a Vm or Instance should not delete it from the database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: William Fitzgerald
QA Contact: Mike Shriver
URL:
Whiteboard: retirement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 20:23 UTC by Tina Fitzgerald
Modified: 2017-05-31 14:35 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:35:36 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Tina Fitzgerald 2017-02-20 20:23:12 UTC
Description of problem: 

Retirement of a Vm or Instance should not delete it from the database.  Retirement should remove the Vm or Instance from the provider but the Vm or Instance should still be in the database.

Original Ticket
https://bugzilla.redhat.com/show_bug.cgi?id=1331567

Comment 2 Tina Fitzgerald 2017-04-03 14:06:59 UTC
This issue has been resolved:
https://github.com/ManageIQ/manageiq-content/pull/55

Comment 3 Mike Shriver 2017-05-18 12:49:08 UTC
Tested against CFME 5.8.0.14 with rhevm and ec2 providers.

Instances/VMs retired through the CFME UI are not deleted from the VMDB, and their records are maintained.

This allows administrators to un-retire resources when available, and to maintain accurate C&U/chargeback metrics.

Comment 5 errata-xmlrpc 2017-05-31 14:35:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.